# BigIn Front End Core

Core functionalities share across Nuxt projects

# Usage

## Add to a new project

```zsh
# Change dir to current project
cd <project_name>/

# Add this repo as submodule
git submodule add git@gitlab.com:bigin/robust/front-end-core.git core

# Checkout development branch
cd core
git checkout development
```

## Init in an existing project

```zsh
# Clone project
git clone <git_repo_of_project>

# Initialize submodule
git submodule init
git submodule update

# Checkout development branch
cd core
git checkout development

```

# Branch

- Development
